﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ObycejnyGraf
{
  /// <summary>
  /// Rozhraní sloužící k ukládání a načítání grafického grafu.
  /// </summary>
  public interface IDatovyModul
  {
    /// <summary>
    /// Uloží graf.
    /// </summary>
    /// <param name="cestaNazev">Cesta k souboru do kterého se bdue ukládat a jeho název.</param>
    /// <param name="graf">Graf, který se má uložit</param>
    void UlozGraf(string cestaNazev, GGraf graf);

    /// <summary>
    /// Načte graf.
    /// </summary>
    /// <param name="cestaNazev">Cesta k souboru s grafem a jeho název.</param>
    /// <returns></returns>
    GGraf NactiGraf(string cestaNazev);
  }
}
