﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MG.DatoveStruktury.Grafy.SmisenaReprezentace;

namespace ObycejnyGraf
{
  /// <summary>
  /// Deklarace třídy, která dědí eventové argumenty třídy <see cref="System.EventArgs"/> 
  /// a přidává si svoje datové složky TypZmeny a Objekt.
  /// </summary>
  public class ZmenaStrukturyGrafuEventArgs : System.EventArgs
  {
    private TypZmenyStrukturyGrafu typZmeny;
    private IPrvekGrafu objekt;

    /// <summary>
    /// Typ změny struktury grafu.
    /// <list type="bullet">
    /// <item>
    /// VlozeniVrcholu
    /// </item>
    /// <item>
    /// VlozeniHrany
    /// </item>
    /// <item>
    /// EditaceVrcholu
    /// </item>
    /// <item>
    /// EditaceHrany
    /// </item>
    /// <item>
    /// OdstraneniVrcholu
    /// </item>
    /// <item>
    /// OdstraneniHrany
    /// </item>
    /// </list>
    /// </summary>
    public TypZmenyStrukturyGrafu TypZmeny { get { return typZmeny; } }

    /// <summary>
    /// Objekt, který způsobil změnu struktury grafu. GVrchol nebo GHrana.
    /// </summary>
    public IPrvekGrafu Objekt { get { return objekt; } }

    internal ZmenaStrukturyGrafuEventArgs(IPrvekGrafu objekt, TypZmenyStrukturyGrafu typZmeny)
    {
      this.objekt = objekt;
      this.typZmeny = typZmeny;
    }
  }
}
