﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ObycejnyGraf;

namespace ObycejnyGraf
{
  /// <summary>
  /// Formulář určený pro editaci hrany.
  /// </summary>
  partial class FrmHrana : Form
  {
    /// <summary>
    /// Parametrický konstruktor.
    /// </summary>
    /// <param name="h">Hrana, dle které se vyplní editační položky.</param>
    internal FrmHrana(GHrana h)
    {
      InitializeComponent();

      tbNazev.Text = h.Nazev;
      nudTloustka.Value = h.Tloustka;
      nudOhodnoceni.Value = (decimal)h.Ohodnoceni;
      cdBarva.Color = h.Barva;
      btnBarva.BackColor = h.Barva;
      cdBarvaTextu.Color = h.BarvaTextu;
      btnBarvaTextu.BackColor = h.BarvaTextu;
      fdFontTextu.Font = h.FontTextu;
      cbZobrazitText.Checked = h.ZobrazitText;

      this.h = h;
    }

    private GHrana h;

    public GHrana Hrana { get; private set; }

    private void btnBarva_Click(object sender, EventArgs e)
    {
      cdBarva.ShowDialog();
      btnBarva.BackColor = cdBarva.Color;
    }

    private void btnBarvaTextu_Click(object sender, EventArgs e)
    {
      cdBarvaTextu.ShowDialog();
      btnBarvaTextu.BackColor = cdBarvaTextu.Color;
    }

    private void btnFontTextu_Click(object sender, EventArgs e)
    {
      fdFontTextu.ShowDialog();
    }

    protected override void OnFormClosed(FormClosedEventArgs e)
    {
      base.OnFormClosed(e);

      if (DialogResult != System.Windows.Forms.DialogResult.Cancel)
      {
        h.Nazev = tbNazev.Text;
        h.Ohodnoceni = (double)nudOhodnoceni.Value;
        h.Tloustka = (int)nudTloustka.Value;
        h.Barva = cdBarva.Color;
        h.BarvaTextu = cdBarvaTextu.Color;
        h.FontTextu = fdFontTextu.Font;
        h.ZobrazitText = cbZobrazitText.Checked;

        Hrana = h;
      }
    }
  }
}
