﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ObycejnyGraf;

namespace ObycejnyGraf
{
  /// <summary>
  /// Formulář určený pro editaci Vrcholu.
  /// </summary>
  partial class FrmVrchol : Form
  {
    /// <summary>
    /// Parametrický konstruktor.
    /// </summary>
    /// <param name="v">Vrchol, dle kterého se vyplní editační položky.</param>
    internal FrmVrchol(GVrchol v)
    {
      InitializeComponent();

      tbNazev.Text = v.Nazev;
      nudX.Value = (decimal)v.Souradnice.X;
      nudY.Value = (decimal)v.Souradnice.Y;
      nudVelikost.Value = (decimal)v.Velikost;
      btnBarvaVyplne.BackColor = v.BarvaVyplne;
      cdBarvaVyplne.Color = v.BarvaVyplne;
      btnBarvaOhraniceni.BackColor = v.BarvaOhraniceni;
      cdBarvaOhraniceni.Color = v.BarvaOhraniceni;
      btnBarvaTextu.BackColor = v.BarvaTextu;
      cdBarvaTextu.Color = v.BarvaTextu;
      fdFontTextu.Font = v.FontTextu;
      cbZobrazitText.Checked = v.ZobrazitText;

      this.v = v;
    }

    private GVrchol v;

    public GVrchol Vrchol { get; private set; }

    private void btnBarvaVyplne_Click(object sender, EventArgs e)
    {
      cdBarvaVyplne.ShowDialog();
      btnBarvaVyplne.BackColor = cdBarvaVyplne.Color;
    }

    private void btnBarvaOhraniceni_Click(object sender, EventArgs e)
    {
      cdBarvaOhraniceni.ShowDialog();
      btnBarvaOhraniceni.BackColor = cdBarvaOhraniceni.Color;
    }

    private void btnBarvaTextu_Click(object sender, EventArgs e)
    {
      cdBarvaTextu.ShowDialog();
      btnBarvaTextu.BackColor = cdBarvaTextu.Color;
    }

    private void btnFontTextu_Click(object sender, EventArgs e)
    {
      fdFontTextu.ShowDialog();
    }

    protected override void OnFormClosed(FormClosedEventArgs e)
    {
      base.OnFormClosed(e);

      if (DialogResult != System.Windows.Forms.DialogResult.Cancel)
      {
          v.Nazev = tbNazev.Text;
          SouradniceVrcholu sv = new SouradniceVrcholu((double)nudX.Value, (double)nudY.Value);
          v.Souradnice = sv;
          v.Velikost = (int)nudVelikost.Value;
          v.BarvaVyplne = cdBarvaVyplne.Color;
          v.BarvaOhraniceni = cdBarvaOhraniceni.Color;
          v.BarvaTextu = cdBarvaTextu.Color;
          v.FontTextu = fdFontTextu.Font;
          v.ZobrazitText = cbZobrazitText.Checked;

          Vrchol = this.v;
      }
    }
  }
}
