﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MG.Matematika.Geometrie2D;

namespace ObycejnyGraf
{
  /// <summary>
  /// Uchovává souřadnice vrcholu.
  /// </summary>
  [Serializable]
  public class SouradniceVrcholu : Bod<double>
  {
    #region Vlastnosti
    /// <summary>
    /// X-ová souřadnice.
    /// </summary>
    public new double X { get { return base.X; } }
    /// <summary>
    /// Y-ová souřadnice.
    /// </summary>
    public new double Y { get { return base.Y; } }
    #endregion


    #region Konstruktor
    /// <summary>
    /// Inicializční konstruktor. Inicializuje vlastnosti <see cref="X"/> a <see cref="Y"/>.
    /// </summary>
    /// <param name="x">Souřadncie X vrcholu.</param>
    /// <param name="y">Souřadnice Y vrcholu.</param>
    public SouradniceVrcholu(double x, double y)
    {
      base.X= x;
      base.Y= y;
    }
    #endregion
  }
}
